## Lemurian
Adds a playable Lemurian to the Game, that is able to transform into an Elder Lemurian.

##Disclamier
** Join my Discord for discussion about Lemurian: https://discord.gg/s4QpuW**

## Multiplayer
- There shouldn't be any more isses

##Fire Buff, Gameplay and Tips
As a master of fire, the Lemurian is able to build up a buff that increases the chance to ignite enemies on hit. Every stack increases the chance for 1%. 
Some abilities also gain a damage buff in different kind of ways. You gain a Fire Buff stack for every enemy hit, that lasts for 15 seconds.

When having aquired 375 Fire Buff stacks in one level, you get the Switch Buff. For this you have an additional buff, that indicates how many Fire Buff stacks you have already aquired.
Having the Switch Buff ready, you are able to transform into an Elder Lemurian. You are then able to use a limited amount of strong skills. You can switch back all the time by using the special skill.
**To switch, you have to use your special skill and press your `Utility Button` while charging/using the special**

## Abilities
**Primary**
`Fireball:` (0,45s base duration)
Shoot a fireball that deals 175% damage. 
- Projectile speed scales with Fire Buff stacks (base speed = 75, every stack increases it by 1, so 75 stacks double the speed)

`Fire Roar:` (1s base duration)
Fire 3 consecutive explosions in front of you, dealing 150% damage each. Gain Armor boost while using. 
- Explosions are cast at 2,5m - 5m - 7,5m fixed distance with a 3m base blast radius, that increases with more Fire Buff stacks (200 stacks = 3m -> 6m)
- You can still sprint while using this ability, also grants healing buff on third explosion, when hitting enemies

`Laser:` (5 ticks/s)
Fire a laser that deals 60% damage each tick. Explodes on impact within a 3m radius.
- Scaled to not grant a Fire Buff stack on every hit. (base every 0,5s, that shortens with more attack speed you have)
- has a small aim support

**Secondary**
`Fireballs:` (0,3s base duration - 5s cooldown)
Shoot 5 Fire Balls that deal 300% damage each. 
- Projectiles spread horizontally and have a 2.5m blast radius

`Flameburst:` (0,5s base duration - 5s cooldown)
Fire 5 fast Fire Balls that deal 200% damage each. Shoot more balls the more Fire Buff stacks you have (1 ball for every 15 stacks - Maximum 10 bullets). 
- Projectiles have no spread and a 2.5m blast radius

`Exploding Fire Ball` (0,5s base duration - 3s cooldown - base charge count = 2)
Fire a fire ball that explodes on hit, dealing 500% damage within a 10m radius. 
- Projectile is affected by gravity

**Utility**
`Fiery Leap:` (... - 5s cooldown)
Leap to the enemy and and burn the ground on impact. The impact does 500% damage and pulls enemies into the burning zone and slows them down. Every tick does 50% damage (15 Ticks in 3s - leading up to possible 1250% damage). 
- Has a 12,5m impact blast radius

`Detonation:` (... - 7,5s cooldown)
Cast an explosion that deals 1250% damage in a 1m - 12,5m radius (75m maximum distance).
- Radius starts at 1m and grows to 12,5m in 2s. Attackspeed lowers the time to a minimum of 0,5s

**Special**
`Flamebreath:` (2,5s base duration - 7.5s cooldown)
Fire a flamebreath that deals 50% damage per tick for 2,5 seconds (20 ticks/s). Every Firebuff stack increases the tick count. Every bullet fired increases the ignite percentage by 1%. Gain armor boost while using Flamebreath. (35m maximum distance)
- You get slowed down while firing, but also gain an armor boost and more charactermass to better withstand enemy attacks
- Hold down button for use, cancelled by releasing button

`Explosion:` (2s base charge duration - 8s cooldown)
Explode and deal 2500% damage in a 25m radius. Damage and radius increase (1% damage and 0.1m radius) for every Fire Buff stack.
- Charge duration reduces with attack speed
- You get slowed down while charging up, but also gain an armor boost and more charactermass to better withstand enemy attacks

`Summon` (10s duration - 20s cooldown)
Summon a horde of Lemurians that help you for 10s. Every ten Fire Buff stacks you gain, add one additional Lemurian.
- The base damage of the Lemurians is 50% of your own damage stat
- They are also able to crit, based on your crit percentage

## Known Issues
- `Flame Breath` on client has a little lag regarding projectile spawnlocation, on static enemies this doesn't really matter though
- `Summon`ed Lemurians may need to be attacked first to fight back 

## Big Thanks
**Thanks to harb and ideath for helping me with multiplayer stuff!**
Big thanks to [LuaFubuki](https://thunderstore.io/package/LuaFubuki/) for answering some of my questions and actually (indirectly) got me into modding, since I really loved his VoidReaver mod (especialy the secondary attack). Somehow one of Lemurian's utility skill is influenced by this one.
And for helping me fix stuff, Item Displays and and and... thanks to [Rob](https://thunderstore.io/package/rob/).
Another big thanks to [Gnome](https://thunderstore.io/package/Gnome/) for giving me lots of productive feedback, especially for the primary skills :) Check out his Miner Mod!
Also thanks to [Moffein](https://thunderstore.io/package/Moffein/) for helping me with some networking stuff.

## Contact Me
You can contact me on discord (@Tymmey#6213). I'd really appreciate any feedback regarding bugs, balancing and ideas :)

##To Do
- more item displays?...maybe..

## Changelog
`6.0.7`
- corrected utility cooldowns

`6.0.6`
- increased necessary prepare stack count for `Transformation` from 250 to 375
- `Flame Burst` now needs 15 Fire Buff stacks, to add addtional bullets, also it has a maximum count of 10 bullets now
- now compatible with Ryan's SkinAPI again
- `Detonation` cooldown increased to 7,5s

`6.0.5`
- increased `Flame Breath` cooldown to (10s) 7.5s after finishing the skill. also now gives 7 prepare stacks instead of 5
- added discord link
- heavy armor buff for specials reduced from +210 armor to +140 armor
- `Fiery Leap`, `Detonation` and `Explosion` now always ignite
- `Fiery Leap` dots reduced fomr 10/s to 5/s, damage doubled from 50% to 100%

- Changed igniting behaviour:
- skills now have a base percentage to ignite enemies of 15%, means you only need 85 Fire Buff stacks to have 100% ignite percentage, these are still needed for increasing special skills damage
- increased proc coefficient of some skills

`6.0.4`
- fixed minion issues for `Summon`, drones and beetle gland
- changed armor buff behaviour for `Fire Roar`
- fixed projectile damage of `Flame Burst` now applying correct damage
- fixed description for `Laser`

`6.0.3`
- reverted `Laser` damage back to 60%
- added SkinReady tag, compatible with skinapi now? i don't know
- fixed skin issues, Thanks to [Rob](https://thunderstore.io/package/rob/) for this :)
- added networking compatibility tag
- fixed collisions?

`6.0.1`
- fixes for 1.0
- changed `Fiery Leap` effect to the Fire Tornado to no longer be a clusterf***
- `Fire Roar` now grants the same buff as Acrid's slash skill on the third explosion, also it's now cancelled by releasing skill button
- `Laser` damage increased from 60% to 75%
- Transformation now gives you 3s immunity after transforming
- Transformation now only needs 250 stacks
- Special skills now give a fixed amount of additional transormation prepare buff stacks (more cooldown, more stacks)

`6.0.0`
- added new special skill `Summon`
- added Transformation to Elder Lemurian
- buffed primaries a little bit (more dmg, shorter duration or whatever)
- changed primary `Fire Ball` behaviour a little bit, before it could be exploited by sprint cancelling, now it also first needs to be charged
- decreased the scaling of `Fire Roar` blast radius
- fixes `Fire Balls` now scaling with attack speed without shooting less projectiles
- added/changed some effects
- changeed camera behaviour for `Detonation` and `Explosion`
- `Fiery Leap` now has only one charge, increased tick damage from 40% to 50%, increased blast radius from 10m to 12,5m, on impact it pulls enemies into the dot zone
- `Explosion` has now a minimun charge duration = 0,5s
- fixed aimorigin location, `Flame Breath` effect origin should now look better
- fixed/tweaked the projectiles a little bit
- internal code cleanup/fixes/changes
- cleaned readme

** thanks for ideath, sushidev and harb for helping me with networking for multiplayer support! **

old changelog now in separate file, see the Skill descriptino for latest information
